## Apache Zeta Components Manual :: Docs For Class ezcAuthenticationTypekeyException

### Authentication::ezcAuthenticationTypekeyException

### Class ezcAuthenticationTypekeyException

Thrown when an exceptional state occurs in the TypeKey authentication.

Source for this file: /Authentication/src/exceptions/typekey_exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcAuthenticationException
             |
             --ezcAuthenticationTypekeyException

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcAuthenticationTypekeyPublicKeysMissingException | Thrown the public keys file could not be accessed in TypeKey authentication.
ezcAuthenticationTypekeyPublicKeysInvalidException | Thrown the public keys file contained invalid data in TypeKey authentication.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public ezcAuthenticationTypekeyException | `__construct( $message )` Constructs a new ezcAuthenticationTypekeyException with error message $message.

### Inherited Methods

From ezcAuthenticationException
public ezcAuthenticationException | `ezcAuthenticationException::__construct()` Constructs a new ezcAuthenticationException with error message $message.
From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

ezcAuthenticationTypekeyException __construct( string $message )

Constructs a new ezcAuthenticationTypekeyException with error message $message.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$message` | string | Message to throw

##### Redefinition of:

Method | Description
--- | ---
`ezcAuthenticationException::__construct()` | Constructs a new ezcAuthenticationException with error message $message.

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcAuthenticationTypekeyPublicKeysMissingException::__construct()` | Constructs a new ezcAuthenticationTypekeyPublicKeysMissingException with error message $message.
`ezcAuthenticationTypekeyPublicKeysInvalidException::__construct()` | Constructs a new ezcAuthenticationTypekeyPublicKeysInvalidException with error message $message.

Documentation generated by phpDocumentor 1.4.3